> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves Live Page By URL

> Returns the live page for the specified page url



## OpenAPI

````yaml xm_v1 get /page/live
openapi: 3.0.0
info:
  version: 1.0.0
  description: >-
    Design, deploy, and manage experiences for all your digital storefronts with
    fabric XM, a headless e-commerce CMS. Design and develop components in your
    storefront to give your merchandisers and marketers the building blocks they
    need to create pages for products, promotions, and campaigns.
  title: Experiences v1 (XM v1)
  contact:
    email: support@fabric.inc
  license:
    name: fabric Inc
    url: https://fabric.inc/api-license
servers:
  - url: https://cdn.xm.fabric.inc/api
security: []
tags:
  - name: Pages
    description: >-
      XM Pages API allows you to fetch all the live pages, or a live page by a
      specific URL
  - name: Global Components
    description: >-
      XM Global Components API allows you to fetch all the live global component
      data
  - name: Menu
    description: XM Menu API allows you to fetch menus and their items
paths:
  /page/live:
    get:
      tags:
        - Pages
      summary: Retrieves Live Page By URL
      description: Returns the live page for the specified page url
      operationId: getLivePage
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
        - in: query
          name: url
          description: The relative page url for which to retrieve the live page version
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                description: 200 response object
                properties:
                  status_code:
                    type: integer
                    description: The response status code
                  message:
                    type: string
                    description: Status message
                  data:
                    type: object
                    description: The data object holding the live page and version details
                    properties:
                      page:
                        type: object
                        description: The page details
                        allOf:
                          - $ref: '#/components/schemas/Page'
                          - type: object
                            properties:
                              pageType:
                                type: object
                                description: The page type object
                                properties:
                                  isDefault:
                                    type: boolean
                                    description: >-
                                      True if page type is marked as default;
                                      false otherwise
                                  name:
                                    type: string
                                    description: The page type name
                                  urlPrefix:
                                    type: string
                                    description: >-
                                      The URL prefix associated with the page
                                      type
                      version:
                        type: array
                        description: An array holding the live page version
                        items:
                          type: object
                          description: The live page version details
                          allOf:
                            - $ref: '#/components/schemas/PageVersion'
                            - type: object
                              properties:
                                __v:
                                  type: integer
                                  description: The versionKey associated with the version
                                startDate:
                                  type: string
                                  format: date-time
                                  description: The date and time the version was published
              example:
                status_code: 200
                message: 'Live version: 39 for page: /home.'
                data:
                  page:
                    _id: 6053609551ad48f797a786e8
                    name: Homepage
                    pageUrl: /home
                    __v: 0
                    channels:
                      - '12'
                    createdAt: '2021-03-18T14:15:49.410Z'
                    isActive: true
                    isArchived: false
                    pageId: 106
                    seoFields:
                      title: Knowledge Base Homepage
                      description: Welcome to our Knowledge Base!
                      _id: 60897c9d892fa80008fb8fea
                      metadata:
                        - _id: 60897c9d892fa80008fb8feb
                          name: canonical
                          content: https://docs.fabric.inc
                          updatedAt: '2021-04-28T15:17:49.027Z'
                          createdAt: '2021-04-28T15:17:49.027Z'
                      updatedAt: '2021-04-28T15:17:49.027Z'
                      createdAt: '2021-04-28T15:17:49.027Z'
                    updatedAt: '2021-04-30T18:21:38.022Z'
                    pageType:
                      isDefault: false
                      name: Homepage
                      urlPrefix: /home
                  version:
                    - _id: 60802b257900a3000905e4d0
                      isArchived: false
                      channel:
                        - 12
                      channels:
                        - '12'
                      status: SCHEDULED
                      endDate: '2099-12-31T00:00:00.000Z'
                      pageId: 6053609551ad48f797a786e8
                      name: Default v1
                      description: Default homepage
                      components:
                        - _id: 605ddce3068a620007becbb9
                          id: Title
                          params:
                            title: Knowledge Base
                            subtitle: >-
                              Explore our products and headless commerce
                              solutions
                            components: []
                            additionalProp1: {}
                          order: 1
                          additionalProp1: {}
                        - _id: 605de5dda877e000083bc851
                          id: Showcase
                          params:
                            items:
                              - title: Enterprise commerce
                                blockColor: blue
                                blockCustomColor: '#e3e5e9'
                                linkText: Learn more
                                linkUrl: /start/enterprise-commerce
                                components: []
                                additionalProp1: {}
                          order: 2
                          additionalProp1: {}
                      versionId: 39
                      createdAt: '2021-04-21T13:39:49.807Z'
                      updatedAt: '2021-04-30T18:21:37.993Z'
                      __v: 0
                      startDate: '2021-04-22T19:55:22.791Z'
        '204':
          description: Page is not live or is inactive
          content:
            application/json:
              schema:
                type: object
                description: 204 response object
                properties:
                  status_code:
                    type: integer
                    description: The response status code
                  status:
                    type: string
                    description: Message describing the request
                  message:
                    type: string
                    description: Message describing the result of the response
              examples:
                NoLiveVersion:
                  summary: No Live Versions
                  value:
                    status_code: 204
                    status: 'Live Page: /someUrl'
                    message: >-
                      No live version available for page: /someUrl, status:
                      SCHEDULED, Date: Tue Oct 19 2021 16:18:21 GMT-0400
                      (Eastern Daylight Time), Channel: 12.
                InactivePage:
                  summary: Inactive Page
                  value:
                    status_code: 204
                    status: 'Live Page: /someUrl'
                    message: >-
                      page: /someUrl is inactive or archived, so there will be
                      no live versions of page.
        '400':
          description: Page url not specified
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: REQUEST_VALIDATION
                message: 'Invalid data in query: must have required property ''url'''
        '404':
          description: Page not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: PAGE_NOT_FOUND
                message: No page entry found
        '500':
          description: The request was received but an internal error occurred
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: INTERNAL_SERVER_ERROR
                message: >-
                  An internal error occurred. If the issue persists please
                  contact support@fabric.inc.
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  schemas:
    Page:
      type: object
      description: The page object
      properties:
        name:
          type: string
          description: The page name
        pageUrl:
          type: string
          description: The relative page url
        createdAt:
          type: string
          format: date-time
          description: The date and time the page was created
        updatedAt:
          type: string
          format: date-time
          description: The date and time the page was updated
        isActive:
          type: boolean
          description: True if the page is active; false otherwise
        isArchived:
          type: boolean
          description: True if the page is archived; false otherwise
        pageId:
          type: integer
          description: An identifier used for the page
        channels:
          type: array
          description: The channel ids associated with the page
          items:
            type: string
            description: The channel id associated with the page
        seoFields:
          type: object
          description: The SEO fields
          properties:
            title:
              type: string
              description: SEO field title
            description:
              type: string
              description: SEO field description
            createdAt:
              type: string
              format: date-time
              description: The date and time the SEO field was created
            updatedAt:
              type: string
              format: date-time
              description: The date and time the SEO field was last updated
            metadata:
              type: array
              description: The list of metadata associated with the SEO field
              items:
                type: object
                description: The metadata associated with the SEO field
                properties:
                  name:
                    type: string
                    description: Metadata name
                  content:
                    type: string
                    description: Metadata content
                  _id:
                    type: string
                    description: The virutal id associated with the SEO field metadata
                  createdAt:
                    type: string
                    format: date-time
                    description: The date and time the metadata was created
                  updatedAt:
                    type: string
                    format: date-time
                    description: The date and time the metadata was last updated
            _id:
              type: string
              description: The virtual id associated with the SEO field
        typeName:
          type: string
          description: Name of the page type of page (optional)
        typeUrl:
          type: string
          description: URL of the page type of page (optional)
        _id:
          type: string
          description: The database id associated with the page
        __v:
          type: integer
          description: The versionKey associated with the page
        channel:
          type: array
          description: A deprecated field holding channel information
          items:
            type: integer
            description: The channel identifier
    PageVersion:
      type: object
      description: The version object
      properties:
        _id:
          type: string
          description: The database id associated with the version
        isArchived:
          type: boolean
          description: True if the version is archived; false otherwise
        channel:
          type: array
          description: A deprecated field holding channel information
          items:
            type: integer
            description: The channel identifier
        channels:
          type: array
          description: The channel ids associated with the version
          items:
            type: string
            description: The channel id associated with the version
        status:
          type: string
          description: The current status of the version
        endDate:
          type: string
          description: The date when the version will no longer be live
          format: date-time
        pageId:
          type: string
          description: The database id of the page associated with the version
        name:
          type: string
          description: The version name
        description:
          type: string
          description: The description associated with the version
        components:
          $ref: '#/components/schemas/Components'
        versionId:
          type: integer
          description: An identifier used for the version
        createdAt:
          type: string
          format: date-time
          description: The date and time the version was created
        updatedAt:
          type: string
          format: date-time
          description: The date and time the version was last updated
    Error:
      type: object
      description: The server error response object
      properties:
        code:
          type: string
          description: The code associated with the type of server error
        message:
          type: string
          description: The message associated with the server error
      required:
        - code
        - message
    Components:
      type: array
      description: The list of components
      items:
        type: object
        description: The component data
        properties:
          _id:
            type: string
            description: The virtual id associated with the component
          id:
            type: string
            description: The identifier used in the UI by the component
          params:
            type: object
            description: The attached fields and values of the component
            additionalProperties: true
        additionalProperties: true

````